dependencies:
  - role: go
  - role: systemd_service
    systemd_service: gitlab-workhorse
    systemd_service_options:
      ExecStart: >-
        {{ ansible_user_dir }}/bin/gitlab-workhorse
        -config {{ ansible_user_dir }}/etc/gitlab-workhorse.toml
        -logFile {{ ansible_user_dir }}/log/gitlab-workhorse.log
        -logFormat json
        -listenUmask 0
        -listenNetwork tcp
        -listenAddr 127.0.0.1:8181
        -prometheusListenAddr 127.0.0.1:9229
        -authBackend http://127.0.0.1:8080
        -authSocket {{ ansible_env.XDG_RUNTIME_DIR | mandatory }}/gitlab-unicorn/gitlab.socket
        -secretPath {{ ansible_user_dir }}/gitlab/.gitlab_workhorse_secret
        -documentRoot {{ ansible_user_dir }}/gitlab/public
        -apiCiLongPollingDuration 50s
      ExecReload: /bin/kill -HUP $MAINPID

  - role: logrotate_entry
    logrotate_entry: gitlab-workhorse
    logrotate_entry_files: "{{ ansible_user_dir }}/log/gitlab-workhorse.log"
    logrotate_entry_postrotate:
      - /bin/systemctl --user reload gitlab-workhorse

  - role: filebeat
    filebeat_inputs:
    - type: log
      json.add_error_key: true
      paths:
        - /srv/{{ external_domain }}/log/gitlab-workhorse.log
      fields:
        source: gitlab-workhorse-2
